# Uses of Class
org.eclipse.birt.chart.api.ChartEngine

Packages that use ChartEngine
Package
Description
org.eclipse.birt.chart.api

## Uses of ChartEngine in org.eclipse.birt.chart.api

Methods in org.eclipse.birt.chart.api that return ChartEngine
Modifier and Type
Method
Description
`static ChartEngine`
ChartEngine.`instance()`
Returns a singleton instance of the Chart Engine
`static ChartEngine`
ChartEngine.`instance(org.eclipse.birt.core.framework.PlatformConfig config)`
Retrieves a singleton instance of the Chart Engine Initializes the OSGi Platform framework to load chart extension bundles unless the STANDALONE flag was set in PlatformConfig property.